export interface TrieNode {
    [key: string]: TrieNode | boolean | undefined;
}
export interface TextSliceItem {
    type: 'normal' | 'highlight';
    text: string;
    start: number;
    end: number;
}
export declare function buildTrieTree(keywords: string[]): TrieNode;
export default function sliceTextByKeywords({ text, keywords, trieTreeRoot, enableLazyMatch }: {
    text: string;
    keywords: string[];
    trieTreeRoot?: TrieNode;
    enableLazyMatch?: boolean;
}): TextSliceItem[];
